#!/usr/bin/ruby

require 'ultradns-sdk-fixed'
require 'pp'

@user = ENV['ULTRA_USER']
@pw = ENV['ULTRA_PW']
zone_name = ARGV[0]
owner_name = ARGV[1]

if @user.nil? || @pw.nil? || zone_name.nil? || owner_name.nil?
  puts "ULTRA_USER=<account name> ULTRA_PW=<account password> #{$0} <zone> <owner>"
  exit 1
end

client = Ultradns::Client.new(@user, @pw)


# NOTE: owner_name is just the name of the pool, in case of SiteBacker
resp = client.get_lb_pool(zone_name, owner_name)

puts "\nZone (#{zone_name}) SiteBacker Pools: "
pp resp


